Bug 4754 - SPEC - Does not define how the ABANDONED batch status on a step works
SPEC - Does not define how the ABANDONED batch status on a step works
Status: RESOLVED MOVED
Product: jbatch
Classification: Unclassified
Component: source
1
All All
: P5 normal
: ---
Assigned To: cvignola
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-08 23:05 UTC by mminella
Modified: 2013-03-20 02:22 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mminella 2013-03-08 23:05:52 UTC
For a step, all of the statuses work the same as they do with a job except for ABANDONED.  When a step is marked ABANDONED but the job is not, it should be skipped on the restart.
Comment 1 cvignola 2013-03-11 14:01:28 UTC
I agree the spec needs to say more.  Bottom line:   you can't restart an abandoned execution.  PFD v1.6 will state that.
Comment 2 ScottKurz 2013-03-15 22:56:16 UTC
It seems there is no way for a step to be marked as abandoned...

This confuses me.
Comment 3 mminella 2013-03-18 18:52:48 UTC
Regarding to Comment #2, I think Scott is correct.  There was an abandon method on the JobOperator in earlier versions of the spec that seems to be missing from the current version.  This needs to be re-added.
Comment 4 cvignola 2013-03-20 02:22:25 UTC
I misread  this bug initially.  I thought it was only about abandoning executions.  I recall no prior discussion about abandoning steps.  JSR 352 v1.0 will support abandoning executions.  Abandoning steps will have to come in a future spec enhancement.